Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163242 - wget crashes when it receives uncommon responses from ftp server (in this case from a firewall)
Summary: wget crashes when it receives uncommon responses from ftp server (in this cas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wget
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 13:28 UTC by Kari Hautio
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: wget-1.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-07 14:37:21 UTC


Attachments (Terms of Use)
wget core (deleted)
2005-07-14 13:30 UTC, Kari Hautio
no flags Details

Description Kari Hautio 2005-07-14 13:28:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When using wget to fetch file over ftp connection and there's a semi intelligent firewall in between wget crashes.

Version-Release number of selected component (if applicable):
wget-1.9.1-22

How reproducible:
Always

Steps to Reproduce:
NOTE: there must be a firewall spurting fancy responses to see this behaviour.

1.wget ftp://people.redhat.com/foobar

2.wget -d ftp://people.redhat.com/foobar
  

Actual Results:  [khautio@dhcp09294 ~]$ wget ftp://people.redhat.com/foobar
--16:15:01--  ftp://people.redhat.com/foobar
           => `foobar'
Resolving people.redhat.com... 66.187.233.237
Connecting to people.redhat.com[66.187.233.237]:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ...
Server error, can't determine system type.
==> PWD ... Segmentation fault (core dumped)
[khautio@dhcp09294 ~]$ wget -d ftp://people.redhat.com/foobar
DEBUG output created by Wget 1.9+cvs-stable (Red Hat modified) on linux-gnu.

--16:16:12--  ftp://people.redhat.com/foobar
           => `foobar'
Resolving people.redhat.com... 66.187.233.237
Caching people.redhat.com => 66.187.233.237
Connecting to people.redhat.com[66.187.233.237]:21... connected.
Created socket 3.
Releasing 0x91830d8 (new refcount 1).
Logging in as anonymous ... 220-Location: Espoo
220-
220-        Unauthorized access prohibited. All connections are logged.
220-
220-        You need Firewall account in order to access Nokia network.
220-
220

--> USER anonymous

331 PASSCODE: you can use password@PASSCODE

--> PASS -wget@

200 PASSCODE: you can use 'quote PASSCODE' or Account command ('ACCT')
Logged in!
==> SYST ...
--> SYST

500 'SYST': command not understood

Server error, can't determine system type.
==> PWD ...
--> PWD

421-Access denied - wrong user name or password
421 aborted
Segmentation fault (core dumped)
[khautio@dhcp09294 ~]$

Expected Results:  wget should have exited with some error 

Additional info:

Comment 1 Kari Hautio 2005-07-14 13:30:41 UTC
Created attachment 116747 [details]
wget core

This core was dumped by running "wget -d ftp://people.redhat.com/foobar"

Comment 2 Roberto Pallucchini 2005-08-04 07:53:19 UTC
can you tell me another site that i can reproduce this error?
i have tryed people.redhat.com but it work correctly with my system. Do you pass
throught a firewall or other to access internet?

regards
Roberto

Comment 3 Karsten Hopp 2005-09-07 14:37:21 UTC
Please try again with wget-1.10.1 from the development tree and reopen this
bugreport if the problem still exists


Note You need to log in before you can comment on or make changes to this bug.